Package edu.msu.cme.rdp.multicompare

# Class Reprocess

java.lang.Object
edu.msu.cme.rdp.multicompare.Reprocess

public class Reprocess extends Object

## Constructor Summary

Constructors
Constructor
Description
`Reprocess()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
This class reprocesses the classification results (allrank output) and print out hierarchy output file, based on the confidence cutoff; and print out only the detail classification results with assignment at certain rank with confidence above the cutoff or/and matching a given taxon.
`static HashSet<String>`
`readTaxonFilterFile(String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Reprocess

public Reprocess()

## Method Details

### readTaxonFilterFile

public static HashSet<String> readTaxonFilterFile(String file) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args) throws Exception
This class reprocesses the classification results (allrank output) and print out hierarchy output file, based on the confidence cutoff; and print out only the detail classification results with assignment at certain rank with confidence above the cutoff or/and matching a given taxon.

Parameters:
  `args` -
Throws:
  `Exception`